%define name      dc3dd
%define upversion 7.1
%define subver    0
%define rev       614
%define release   %mkrel 3

Summary: Patched version of GNU dd for use in computer forensics
Name:    %{name}
Version: %{upversion}.%{rev}
Release: %{release}
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
License: GPLv2+
Group:   Security
Url:     http://dc3dd.sourceforge.net/

BuildRequires: gettext

%description
dc3dd is a patched version of GNU dd to include a number of features useful
for computer forensics. Many of these features were inspired by dcfldd, but
were rewritten for dc3dd.

    * Pattern writes. The program can write a single hexadecimal value or a
    text string to the output device for wiping purposes.
    * Piecewise and overall hashing with multiple algorithms and variable
    size windows. Supports MD5, SHA-1, SHA-256, and SHA-512. Hashes can be
    computed before or after conversions are made.
    * Progress meter with automatic input/output file size probing
    * Combined log for hashes and errors
    * Error grouping. Produces one error message for identical sequential
    errors
    * Verify mode. Able to repeat any transformations done to the input
    file and compare it to an output.
    * Ability to split the output into chunks with numerical or alphabetic
    extensions


%prep
%setup -q

rm po/*.gmo


%build
%configure
%make

%check
make check

%install
make install BINDIR=%{buildroot}%{_bindir} DESTDIR=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS COPYING ChangeLog README README.coreutils THANKS THANKS-to-translators TODO Sample_Commands.txt NEWS Options_Reference.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 7.1.614-3.mga3
+ Revision: 348663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 7.1.614-2.mga3
+ Revision: 310499
- update RPM group
- Fixing source url.

* Mon Dec 19 2011 malo <malo> 7.1.614-1.mga2
+ Revision: 184094
- imported package dc3dd

